VOIKKOSPELL(1)

NAME
voikkospell - test program for Voikko spell checker

SYNOPSIS
voikkospell [options]

DESCRIPTION
voikkospell is a test program for spell checking functionality in libvoikko, library of language tools. It reads words from stdin (one word on a line) and print them to stdout, adding "C: " in front of correct words and "W: " in front of incorrect words.

Common options of different Voikko test programs are listed in COMMON OPTIONS.

OPTIONS

-m  In addition to spelling result, prints morphological analysis info (A:) for recognized words.

-M  Prints morphological analysis info (A:) for recognized words without displaying spelling result.

-t  Prints only "C" or "W" instead of typical full output.

-tt Prints only misspelled words.

-s  Prints suggestions (S:) for incorrectly spelled words.

-cn Set cache size parameter to n. -1 disables the cache and 0 is the default. For checking large amounts of unsorted text you may want to set n to 5 to get better performance.

-j n
    Use n threads for spell checking. When more than one thread is used checking is performed using large internal buffers which is why this mode should only be used for batch processing.

-xc Like voikkospell -s but output is printed on one line separated by character c without "C", "W" or "S" in front of the words. If c is not defined words are separated by space and suggestions that have spaces in them are not printed.

-l  Prints a list of available dictionary variants and exits. The first variant is the default to be used when no specific variant has been requested.

-L  Prints a list of capabilities and languages for which these capabilities are supported.

ignore_nonwords=n

accept_first_uppercase=n

accept_all_uppercase=n

accept_extra_hyphens=n

accept_missing_hyphens=n

ocr_suggestions=n
    Set the value of the specified boolean option. n can be either 0 (false) or 1 (true).

COMMON OPTIONS

-p directory
    (voikkospell, voikkohyphenate, voikkogc) Look from directory before the standard locations when searching for dictionary files.

-d variant
    (voikkospell, voikkohyphenate, voikkogc) Use dictionary variant variant instead of the default dictionary variant. The variant must be represented as a BCP 47 language tag.

ignore_dot=n
    (voikkospell, voikkohyphenate)

ignore_numbers=n
    (voikkospell, voikkohyphenate)
    Set the value of the specified boolean option. n can be either 0 (false) or 1 (true).

-h, --help
    Print a help message and exit.

--version
    Print version numbers for libvoikko and the test tool.

AUTHOR
voikkospell and this manual page were written by Harri Pitkänen (hatapitk@iki.fi).